Skip to Content
BusinessChecksReceived Checks

Match a bank deposit to Received Checks

POST
/v0/business/{business_id}/received-checks/deposits

Match a bank Transaction for money coming in to the received checks it deposits, for a deposit that was not matched automatically, such as one of several checks. The checks must add up to the bank Transaction's amount and have been received on or before its date. The bank Transaction's entry moves the money from Undeposited Funds to the bank account, replacing any entry it was categorized with.

Scopes: check:update

Authorization

OAuth2ClientCredentialsBearer check:update
headerAuthorizationBearer <token>

Scope: check:update

Path Parameters

business_id*Business Id

The id of the business

Formatbiz_string

Request Body

application/json
  1. body
transaction_id*Transaction Id

The ID of the bank Transaction that deposited the checks

Formattxn_string
received_check_ids*array<>

The IDs of the received checks the deposit contains. Their total must equal the bank Transaction's amount.

Items1 <= items <= 100

Response Body

Successful Response

application/json
  1. response
data*array<>
Example Request
curl -X POST 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/received-checks/deposits' \  -H 'Content-Type: application/json' \  -d '{  "transaction_id": "txn_oiL7THC5RDi2PVUbVyyoJ",  "received_check_ids": [    "rck_WQMDNUHpBThYSNh4AprDBo"  ]}'
Example Response
{  "data": [    {      "business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7",      "payer": "Acme Corp",      "customer_id": "cus_WQMDNUHpBThYSNh4AprDBo",      "amount": 400,      "currency": "USD",      "check_number": "2207",      "payer_routing_number": "021000021",      "payer_account_number": "000123456789",      "received_at": "2019-08-24T14:15:22Z",      "memo": "Invoice INV-1001",      "voided_at": "2019-08-24T14:15:22Z",      "created_by": "string",      "id": "rck_WQMDNUHpBThYSNh4AprDBo",      "transaction_id": "txn_oiL7THC5RDi2PVUbVyyoJ",      "void_transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",      "deposit_transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",      "deposited_at": "2019-08-24T14:15:22Z",      "return_transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",      "returned_at": "2019-08-24T14:15:22Z",      "invoice_payments": [        {          "invoice_id": "inv_Lq5AyApd4pdL1VvakpY5aJ",          "payment_amount": 400        }      ],      "status": "received"    }  ]}